## imcode.server.document.index
Class BackgroundIndexBuilder

    java.lang.Object
      imcode.server.document.index.BackgroundIndexBuilder

    public class BackgroundIndexBuilder

extends java.lang.Object

Constructor Summary
`BackgroundIndexBuilder(java.io.File indexParentDirectory, RebuildingDirectoryIndex rebuildingDirectoryIndex, IndexDocumentFactory indexDocumentFactory)`

Method Summary
`void` `addDocument(DocumentDomainObject document)`
`void` `notifyRebuildComplete(imcode.server.document.index.DefaultDirectoryIndex newIndex)`
`void` `removeDocument(DocumentDomainObject document)`
`void` `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackgroundIndexBuilder

    public BackgroundIndexBuilder(java.io.File indexParentDirectory,
                                  RebuildingDirectoryIndex rebuildingDirectoryIndex,
                                  IndexDocumentFactory indexDocumentFactory)

Method Detail

### start

    public void start()

### addDocument

    public void addDocument(DocumentDomainObject document)

### removeDocument

    public void removeDocument(DocumentDomainObject document)

### notifyRebuildComplete

    public void notifyRebuildComplete(imcode.server.document.index.DefaultDirectoryIndex newIndex)